/*============================= 
 * Luftballon fu:r Klopfsensor
 *=============================
 *
 *
 * http://dernulleffekt.de
 */


// Library zum Schreiben und Auslesen des Seriellen Ports
import processing.serial.*; 

Serial Schnittstelle;   // Die Serielle Schnittstelle definieren
int Durchmesser = 0;   

void setup() 
{
  size(800, 800);
  background(0);
  smooth();
  // schreibt eine Liste der seriellen Schnittstellen
  println(Serial.list());
  // Den Wert des Seriellen Ports des Arduinos
  // in die Funktion eintragen zB.: 0,1,2 oder 3
  // Seriellen Port o:ffnen, Baudrate festlegen
  Schnittstelle = new Serial(this, Serial.list()[0], 57600);
}

void draw()
{
  if (Schnittstelle.available() > 0) {  // Wenn Daten anliegen, dann
    Schnittstelle.clear();              // ... Daten lo:schen
    Durchmesser = Durchmesser + 10;      // ... Durchmesser erho:hen            
    fill(155, 255, 0);  
    ellipse(width/2, height/2, Durchmesser*2, Durchmesser*2); // Ballon zeichnen
  }
}
void mousePressed() { // Ballon lo:schen wenn der Mausbutton gepresst ist
  background(0);
  Durchmesser = 0;
}

