/*==================================
 * Kreisbewegung
 *==================================
 *
 * http://dernulleffekt.de
 */


float MittelpunktX;       // Mittelpunkt auf der x-Achse
float MittelpunktY;       // Mittelpunkt auf der y-Achse
float Durchmesser = 200;  // Radius der Kreisbahn
float Winkel;             // aktueller Rotationswinkel

void setup () {
  size (600, 600);
  smooth ();
  noStroke ();
  background (76);

  // Mittelpunkt der Rotation
  MittelpunktX = width / 2;
  MittelpunktY = height / 2;
}

void draw () {
  fill (255, 0, 0);
  rect (0, 0, width, height);

  Winkel += 0.04; // Drehen durch verschieben des Rotationswinkels
  // Berechnung der aktuellen Position
  float x = MittelpunktX + cos (Winkel) * Durchmesser;
  float y = MittelpunktY + sin (Winkel) * Durchmesser;

  // Zeichnen des Kreises
  fill (255);
  ellipse (x, y, 100, 100);
}

